package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店采购申请单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDcshStorepurchaserequestService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDcshStorepurchaserequest(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcshStorepurchaserequestMapper.addSKcCrkDcshStorepurchaserequest", pd);
    }

    public List<PageData> findSKcCrkDcshStorepurchaserequestList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDcshStorepurchaserequestMapper.selectSKcCrkDcshStorepurchaserequestList", pd);
    }

    public Integer SKcCrkDcshStorepurchaserequestRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDcshStorepurchaserequestMapper.SKcCrkDcshStorepurchaserequestRemove", pd);
    }


    public Integer updateSKcCrkDcshStorepurchaserequest(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcshStorepurchaserequestMapper.updateSKcCrkDcshStorepurchaserequest", pd);
    }

}
